/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TgenequeryprocessPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "QUERYCODE")
    private String querycode;
    @Basic(optional = false)
    @Column(name = "SEQUENCE")
    private short sequence;

    public TgenequeryprocessPK() {
    }

    public TgenequeryprocessPK(String querycode, short sequence) {
        this.querycode = querycode;
        this.sequence = sequence;
    }

    public String getQuerycode() {
        return querycode;
    }

    public void setQuerycode(String querycode) {
        this.querycode = querycode;
    }

    public short getSequence() {
        return sequence;
    }

    public void setSequence(short sequence) {
        this.sequence = sequence;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (querycode != null ? querycode.hashCode() : 0);
        hash += (int) sequence;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TgenequeryprocessPK)) {
            return false;
        }
        TgenequeryprocessPK other = (TgenequeryprocessPK) object;
        if ((this.querycode == null && other.querycode != null) || (this.querycode != null && !this.querycode.equals(other.querycode))) {
            return false;
        }
        if (this.sequence != other.sequence) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TgenequeryprocessPK[ querycode=" + querycode + ", sequence=" + sequence + " ]";
    }
    
}
